## org.springframework.beans.propertyeditors
Class TimeZoneEditor

    java.lang.Object
      java.beans.PropertyEditorSupport
          org.springframework.beans.propertyeditors.TimeZoneEditor

All Implemented Interfaces:
  PropertyEditor

    public class TimeZoneEditor

extends PropertyEditorSupport

Editor for `java.util.TimeZone`, translating timezone IDs into TimeZone objects. Does not expose a text representation for TimeZone objects.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  `TimeZone`

Constructor Summary
`TimeZoneEditor()`

Method Summary
`String` `getAsText()` This implementation returns `null` to indicate that there is no appropriate text representation.
`void` `setAsText(String text)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TimeZoneEditor

    public TimeZoneEditor()

Method Detail

### setAsText

    public void setAsText(String text)
                   throws IllegalArgumentException

  Specified by:
    `setAsText` in interface `PropertyEditor`
  Overrides:
    `setAsText` in class `PropertyEditorSupport`
  Throws:
    `IllegalArgumentException`

### getAsText

    public String getAsText()

  This implementation returns `null` to indicate that there is no appropriate text representation.

  Specified by:
    `getAsText` in interface `PropertyEditor`
  Overrides:
    `getAsText` in class `PropertyEditorSupport`